# $Revision: 1.13 $, $Date: 2002/09/26 15:28:26 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define	pnam	Leapyear
Summary:	Date::Leapear Perl module - is a particular year a leap year?
Summary(pl):	Modu Perla Date::Leapyear - sprawdzanie przestpnoci zadanego roku
Name:		perl-Date-Leapyear
Version:	1.71
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Test-Simple
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Is a particular year a leap year?

%description -l pl
Modu perla Date::Leapyear - sprawdzajcy, czy dany rok jest
przestpny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_sitelib}/Date/Leapyear.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Date-Leapyear.spec,v $
Revision 1.13  2002/09/26 15:28:26  ankry
- version 1.71, release 1
- added tests on bcond
- fixed %%doc file list, cleaning

Revision 1.12  2002/07/20 15:02:38  qboosh
- BR: perl-Test-Simple

Revision 1.11  2002/07/20 10:19:16  qboosh
- added Readme to doc

Revision 1.10  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/08 09:19:27  qboosh
- added pl description, release 2

Revision 1.2  2002/01/06 05:50:28  kloczek
- release 1: License: Artistic.

Revision 1.1  2002/01/05 08:06:17  agaran
initial
